#ifndef AES_H
#define AES_H

#include <avr/io.h>
#include <avr/pgmspace.h>

extern void aesInit();
extern void encryptData(uint8_t *data, uint8_t *key, uint32_t data_length);
extern void encryptDataWithOffset(uint8_t *data, uint8_t *key, uint32_t data_length, uint32_t offset );
extern void decryptData(uint8_t *data, uint8_t *key, uint32_t data_length);

#endif // AES_H

